# The Unified Policy Framework (UPF)

This git repository contains a local mirror of
[The Unified Policy Framework (UPF)](https://www.isa-afp.org/entries/UPF.shtml)
entry of the
[Archive of Formal Proofs (AFP)](https://www.isa-afp.org).

The official AFP releases are tagged. Additionally, this repository
may contain extensions (i.e., a development version) that may be
submitted (as an update of the UPF entry) at a later stage.

## Installation

```console
achim@logicalhacking:~$ isabelle build -D UPF
```

## Authors

* [Achim D. Brucker](http://www.brucker.ch/)
* Lukas Brügger
* [Burkhart Wolff](https://www.lri.fr/~wolff/)

## License

This project is licensed under a 3-clause BSD-style license.

SPDX-License-Identifier: BSD-3-Clause


## Upstream Repository

The upstream git repository, i.e., the single source of truth, for this project is hosted 
by the [Software Assurance & Security Research Team](https://logicalhacking.com) at
<https://git.logicalhacking.com/afp-mirror/UPF>.

## Publications

* Achim D. Brucker, Lukas Brügger, and Burkhart Wolff. The Unified
  Policy Framework (UPF). In Archive of Formal
  Proofs, 2014. http://www.isa-afp.org/entries/UPF.shtml, Formal proof
  development
